Suggestions

The suggestions resource.

Basehttps://rest.carbon.ms/suggestions
GET/suggestions

List suggestionss

Retrieve a paginated list of suggestionss. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/suggestions
curl --request GET \
  --url 'https://rest.carbon.ms/suggestions?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "suggestion": "string",
    "emoji": "string",
    "path": "string",
    "attachmentPath": "string",
    "tags": [],
    "userId": "xyz789",
    "companyId": "xyz789"
  }
]
GET/suggestions

Retrieve a suggestions

Fetch a single suggestions by filtering on `id`.

Query parameters

idstring

Match on the suggestions's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/suggestions
curl --request GET \
  --url 'https://rest.carbon.ms/suggestions?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "suggestion": "string",
  "emoji": "string",
  "path": "string",
  "attachmentPath": "string",
  "tags": [],
  "userId": "xyz789",
  "companyId": "xyz789"
}